Subject: Re: bug#24088: emacs 25.0.95; display problems in terminal emulator after unicode wheelcair symbol

From: Gregor Zattler <[email-masked]>
Date: Tue, 06 Jul 2021 23:43:12 +0200

Hi Lars,
* Lars Ingebrigtsen <[email-masked]> [2021-07-06; 19:41]:
> Gregor Zattler <[email-masked]> writes:
>> with this (see below) recently build emacs -Q -nw in an xterm /
>> urxvt (this does not happen in a graphical frame) enter this
>> Text:
>>
>> Zwangsräumung von HG♿M99
>>
>> The symbol between "HG" and "M99" is the unicode wheelchair symbol.
>>
>> With point at the wheelchair symbol hit C-f: The cursor moves not to the
>> "M" but to the left "9". 
>
> I'm unable to reproduce this issue on Debian/bullseye with Emacs 25.1
> (or Emacs 28).  Are you still seeing this problem?

No I do not see this behavior anymore with Debian Buster
10.10 and emacs 28.50 nore emacs 26.1.  I Tested with urxvt
and xterm (which does not show a wheelchair but behaves ok).
Interestingly in urxvt it looks different from my screenshot
for the bug report: Now it's a Widersprüche character and
there is more empty space left and right of the wheelchair.
Cursor movements are OK.

Thanks for looking into this.
Please close this bug report.

Ciao; Gregor
-- 
 -... --- .-. . -.. ..--.. ...-.-